TICKIT_WINDOW_SHOW(3)

NAME
tickit_window_show, tickit_window_hide - control a window's visibility

SYNOPSIS
    void tickit_window_show(TickitWindow *win);
    void tickit_window_hide(TickitWindow *win);

    bool tickit_window_is_visible(TickitWindow *win);

Link with -ltickit.

DESCRIPTION
tickit_window_show() makes the given window visible, allowing it to receive events and obscure lower sibling windows. This may cause it to receive TICKIT_EV_EXPOSE events when tickit_window_flush(3) is next called.

tickit_window_hide() makes the given window non-visible, preventing it from receiving events and making it transparent to lower sibling windows, so their content is now visible. This may cause lower siblings to receive TICKIT_EV_EXPOSE events when tickit_window_flush(3) is next called.

tickit_window_is_visible() tests whether the given window is visible within its immediate parent. This does not imply that it is actually visible to the terminal, as it may still have a hidden parent.

RETURN VALUE
tickit_window_show() and tickit_window_hide() return no value. tickit_window_is_visible() returns a boolean.

SEE ALSO
tickit_window_new(3), tickit_window_raise(3), tickit_window_bind_event(3), tickit_window_flush(3), tickit_window(7), tickit(7)